Connecting the CLI to Yandex Cloud endpoints
An endpoint is the address the CLI uses to communicate with the API of a specific Yandex Cloud service. The endpoints you use depend on the command you run.
As soon as you run yc init, the CLI connects to the regional https://api.cloud.yandex.net endpoint to fetch the current list of endpoints used by the services. Then, the CLI contacts endpoints used for authentication and profile configuration. After the initialization, the CLI selects an endpoint based on which service the command belongs to.
To retrieve the complete list of available Yandex Cloud endpoints and ports, run the following request:
curl https://api.cloud.yandex.net/endpoints
The response contains the IDs of services and their endpoint addresses:
{
"endpoints": [
{
"id": "<service_ID>",
"address": "<endpoint_address>:<port>"
}
]
}
Tip
Do not use a static copy of this list because its data may change as new services and endpoints get added. For details on the response format, see Yandex Cloud service API endpoints.
Access through a firewall or proxy server
If outgoing connections are restricted by a firewall, allow access to api.cloud.yandex.net and the endpoints of the services you are expecting to use. Use the ports specified in the response to https://api.cloud.yandex.net/endpoints.
Authentication via a browser will also require the user to have access to https://auth.yandex.cloud and identity provider domains.
If Yandex Cloud is accessed through a proxy server, configure the HTTPS_PROXY environment variable.
Checking connections
To look up the endpoints yc init connects to, enable detailed gRPC logging:
yc init --debug-grpc
Connection addresses are logged in the lines labeled original dial target and Dialing. A successful connection is logged as successfully connected.
The --debug-grpc parameter outputs detailed information about gRPC connections. To view the general command execution log, use the --debug parameter. For more on these parameters, see Yandex Cloud CLI configuration.
Warning
The debug log may contain data pertaining to requests. Do not share them with other users until you remove tokens and other sensitive information.